Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Abstract_Storagehome Class Reference

**************************************************************** More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Abstract_Storagehome:

[legend]
Collaboration diagram for TAO_PSDL_Abstract_Storagehome:

[legend]
List of all members.

## Public Methods

| TAO_PSDL_Abstract_Storagehome (TAO_PSDL_Node *abs_storagehome_dcl)
| ****************************************************************
virtual | ~TAO_PSDL_Abstract_Storagehome (void)
TAO_PSDL_Node * | abs_storagehome_dcl (void) const
| Get the value.
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods.

## Private Attributes

TAO_PSDL_Node * | abs_storagehome_dcl_
| The values.

## Detailed Description

****************************************************************

## Constructor & Destructor Documentation

TAO_PSDL_Abstract_Storagehome::TAO_PSDL_Abstract_Storagehome | ( | TAO_PSDL_Node * | abs_storagehome_dcl | ) |

| ****************************************************************

TAO_PSDL_Abstract_Storagehome::~TAO_PSDL_Abstract_Storagehome | ( | void |  | ) | `[virtual]`

## Member Function Documentation

TAO_PSDL_Node * TAO_PSDL_Abstract_Storagehome::abs_storagehome_dcl | ( | void |  | ) | const

| Get the value.

int TAO_PSDL_Abstract_Storagehome::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Implements TAO_PSDL_Node.

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Abstract_Storagehome::abs_storagehome_dcl_`[private]`

| The values.

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp